﻿using System.Collections.Generic;
using VisualComponents.UX.Shared;
using VisualComponents.UX.Ribbon;
using VisualComponents.Create3D;
using System.ComponentModel.Composition;

namespace Plugin.ContextChange
{
    [Export(typeof(IRibbonTab))]
    class CustomRibbon: RibbonTabBase
    {
        [ImportingConstructor]
        public CustomRibbon([Import] ILocalizationService localizationService, 
            [ImportMany] IEnumerable<IRibbonGroup> groups)
            : base(localizationService, groups)
        {
            ID = Id;
        }

        public override string ContextualTabGroupKey
        {
            get
            {
                return "";
            }
        }

        public override string Header
        {
            get
            {
                return "CUSTOM RIBBON";
            }
        }

        public override string Id
        {
            get
            {
                // "Tab" string has to be included in the 
                // string for this to work. Looks like a bug.
                return "customRibbonTabId";
            }
        }

        public override string Name
        {
            get
            {
                return "CustomRibbon";
            }
        }

        public override double Order
        {
            get
            {
                return 10.0;
            }
        }
        public static string ID { get; set; }
    }
}
