﻿using System.ComponentModel.Composition;
using VisualComponents.Create3D;
using VisualComponents.UX.Ribbon;
using VisualComponents.UX.Shared;

namespace Plugin.ContextChange
{
    [Export(typeof(IRibbonGroup))]
    class CustomRibbonGroup: RibbonGroupBase
    {
        [ImportingConstructor]
        public CustomRibbonGroup([Import] ILocalizationService localizationService) : base(localizationService)
        {
            ID = Id;
        }

        public override string Header
        {
            get
            {
                return "Custom Ribbon Group";
            }
        }

        public override string Icon
        {
            get
            {
                return "";
            }
        }

        public override string Id
        {
            get
            {
                return "customRibbonGroupId";
            }
        }   

        public static string ID { get; set; }
    }
}
